package com.yonge.cooleshow.payment.sdk;

import lombok.Data;

import java.util.List;

/**
 * @Author: liweifan
 * @Data: 2022/3/11 17:44
 */
@Data
public class PaymentConfirmParam {
    //Adapay生成的支付对象id
    private String payment_id;
    //请求订单号，只能为英文、数字或者下划线的一种或多种组合，保证在app_id下唯一
    private String order_no;
    //确认金额，必须大于0，保留两位小数点，如0.10、100.05等。必须小于等于原支付金额-已确认金额-已撤销金额。
    private String confirm_amt;
    //附加说明
    private String description;
    //分账对象信息列表，一次请求最多仅支持7个分账方
    private List<DivMember> div_members;
    //手续费收取模式：O-商户手续费账户扣取手续费，I-交易金额中扣取手续费；值为空时，默认值为I；若为O时，分账对象列表中不支持传入手续费承担方
    private String fee_mode;

    /***
     * 分账对象
     * @author liweifan
     * @updateTime 2022/3/11 18:03
     */
    @Data
    public class  DivMember{
        //分账用户 Member对象 的 id；若是商户本身时，传入0
        private String member_id;
        //分账金额，精确到分，如0.50，1.00等，分账总金额必须等于主交易金额,金额不能为0.00
        private String amount;
        //是否手续费承担方，N-否，Y-是，手续费承担方有且只能有一个
        private String fee_flag;
    }
}
