package com.yonge.cooleshow.payment.config;

import com.huifu.adapay.Adapay;
import com.huifu.adapay.model.MerConfig;
import com.yonge.cooleshow.payment.props.HuifuProperties;
import lombok.AllArgsConstructor;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.context.properties.EnableConfigurationProperties;
import org.springframework.context.annotation.Bean;
import org.springframework.context.annotation.Configuration;
import org.springframework.http.HttpHeaders;
import org.springframework.http.HttpMethod;
import org.springframework.http.HttpStatus;
import org.springframework.http.server.reactive.ServerHttpRequest;
import org.springframework.http.server.reactive.ServerHttpResponse;
import org.springframework.web.cors.reactive.CorsUtils;
import org.springframework.web.server.ServerWebExchange;
import org.springframework.web.server.WebFilter;
import org.springframework.web.server.WebFilterChain;

/**
 * 路由配置信息
 */
@Slf4j
@Configuration
@AllArgsConstructor
@EnableConfigurationProperties({HuifuProperties.class})
public class HuifuConfiguration {
	private static HuifuProperties huifuProperties;
	@Bean
	public MerConfig merConfig(HuifuProperties authProperties) {
		this.huifuProperties = authProperties;

		MerConfig merConfig = new MerConfig();
		merConfig.setApiKey(authProperties.getApiKey());
		merConfig.setApiMockKey(authProperties.getMockApiKey());
		merConfig.setRSAPrivateKey(authProperties.getRsaPrivateKey());
		try {
			Adapay.initWithMerConfig(merConfig);
		} catch (Exception e) {
			e.printStackTrace();
		}
		return merConfig;
	}

	public static HuifuProperties getHuifuProperties(){
		return huifuProperties;
	}
}
