package com.yonge.cooleshow.biz.dal.dao;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.annotations.Param;

import com.yonge.cooleshow.biz.dal.entity.Subject;
import com.yonge.cooleshow.biz.dal.enums.YesOrNoEnum;
import com.yonge.cooleshow.common.dal.BaseDAO;

public interface SubjectDao extends BaseDAO<Long, Subject> {

    /**
     * 根据父级id查询子级列表
     *
     * @param parentId
     * @return
     */
    List<Subject> findByParentId(@Param("parentId") Long parentId, @Param("delFlag") YesOrNoEnum delFlag);

    /**
     * 根据声部编号列表获取声部名称map
     *
     * @param subjectIds
     * @return
     */
    List<Map<Long, String>> queryNameByIds(@Param("subjectIds") String subjectIds);

    List<Subject> findBySubjectByIdList(@Param("subjectIdList") String subjectIdList);

    List<Subject> findBySubjectIds(@Param("subjectIds") List<Long> subjectIds);

}
