package com.yonge.cooleshow.biz.dal.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * @Author: liweifan
 * @Data: 2022/3/18 14:56
 */
@Data
@ApiModel(value = "TeacherApplyDetailDto对象", description = "老师入驻申请信息")
public class TeacherApplyDetailDto implements Serializable {

    @ApiModelProperty(value = "用户id")
    private Long userId;

    @ApiModelProperty(value = "真实姓名", required = true)
    private String realName;

    @ApiModelProperty(value = "身份证号", required = true)
    private String idCardNo;

    @ApiModelProperty(value = "性别（0，女  1，男）", required = true)
    private String gender;

    @ApiModelProperty(value = "出生日期 ", required = true)
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss", timezone = "GMT+8")
    private Date birthdate;

    @ApiModelProperty(value = "专业技能（支持多个，用逗号分隔），对应乐器表id ", required = true)
    private String subjectId;

    @ApiModelProperty(value = "个人介绍 ", required = true)
    private String introduction;

    @ApiModelProperty("毕业学校 ")
    private String graduateSchool;

    @ApiModelProperty("学校专业 ")
    private String subject;

    @ApiModelProperty("毕业证书 ")
    private String gradCertificate;

    @ApiModelProperty("学位证书 ")
    private String degreeCertificate;

    @ApiModelProperty("教师资格证 ")
    private String teacherCertificate;
}
