package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 专辑收藏表
 */
@Data
@TableName("album_favorite")
@ApiModel(value = "AlbumFavorite对象", description = "专辑收藏表")
public class AlbumFavorite implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 主键 
    */
    @ApiModelProperty("主键 ")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /** 
    * 用户ID(目前只是学生ID) 
    */
    @ApiModelProperty("用户ID(目前只是学生ID) ")
	@TableField(value = "user_id_")
    private Long userId;
    /** 
    * 专辑ID 
    */
    @ApiModelProperty("专辑ID ")
	@TableField(value = "album_id_")
    private Long albumId;
    /** 
    * 收藏时间 
    */
    @ApiModelProperty("收藏时间 ")
	@TableField(value = "favorite_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date favoriteTime;
    /** 
    * 是否收藏 
    */
    @ApiModelProperty("是否收藏 ")
	@TableField(value = "favorite_flag_")
    private Byte favoriteFlag;

    @Override
    public String toString() {
        return "AlbumFavorite{" +
				"id=" + id +
						",userId='" + userId + "'" + 
						",albumId='" + albumId + "'" + 
						",favoriteTime='" + favoriteTime + "'" + 
						",favoriteFlag='" + favoriteFlag + "'" + 
		                '}';
    }
	
}