package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 专辑曲谱关联表
 */
@Data
@TableName("album_music_relate")
@ApiModel(value = "AlbumMusicRelate对象", description = "专辑曲谱关联表")
public class AlbumMusicRelate implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 主键 
    */
    @ApiModelProperty("主键 ")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /** 
    * 专辑ID 
    */
    @ApiModelProperty("专辑ID ")
	@TableField(value = "album_id_")
    private Long albumId;
    /** 
    * 曲谱ID 
    */
    @ApiModelProperty("曲谱ID ")
	@TableField(value = "music_sheet_id_")
    private Long musicSheetId;
    /** 
    * 排序号 
    */
    @ApiModelProperty("排序号 ")
	@TableField(value = "sort_number_")
    private Byte sortNumber;
    /** 
    * 添加时间 
    */
    @ApiModelProperty("添加时间 ")
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
    /** 
    * 添加人 
    */
    @ApiModelProperty("添加人 ")
	@TableField(value = "create_by_")
    private Long createBy;

    @Override
    public String toString() {
        return "AlbumMusicRelate{" +
				"id=" + id +
						",albumId='" + albumId + "'" + 
						",musicSheetId='" + musicSheetId + "'" + 
						",sortNumber='" + sortNumber + "'" + 
						",createTime='" + createTime + "'" + 
						",createBy='" + createBy + "'" + 
		                '}';
    }
	
}