package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 专辑表
 */
@Data
@TableName("music_album")
@ApiModel(value = "MusicAlbum对象", description = "专辑表")
public class MusicAlbum implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 主键 
    */
    @ApiModelProperty("主键 ")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /** 
    * 专辑名称 
    */
    @ApiModelProperty("专辑名称 ")
	@TableField(value = "album_name_")
    private String albumName;
    /** 
    * 专辑简介 
    */
    @ApiModelProperty("专辑简介 ")
	@TableField(value = "album_desc_")
    private String albumDesc;
    /** 
    * 专辑标签(多个标签以逗号分开) 
    */
    @ApiModelProperty("专辑标签(多个标签以逗号分开) ")
	@TableField(value = "album_tag_")
    private String albumTag;
    /** 
    * 专辑封面图片URL 
    */
    @ApiModelProperty("专辑封面图片URL ")
	@TableField(value = "album_cover_url_")
    private String albumCoverUrl;
    /** 
    * 专辑状态(1:启用;0:停用) 
    */
    @ApiModelProperty("专辑状态(1:启用;0:停用) ")
	@TableField(value = "album_status_")
    private Byte albumStatus;
    /** 
    * 排序号 
    */
    @ApiModelProperty("排序号 ")
	@TableField(value = "sort_number_")
    private Integer sortNumber;
    /** 
    * 是否热门专辑(1:是;0:否) 
    */
    @ApiModelProperty("是否热门专辑(1:是;0:否) ")
	@TableField(value = "hot_flag_")
    private Byte hotFlag;
    /** 
    * 是否置顶(1:是;0:否) 
    */
    @ApiModelProperty("是否置顶(1:是;0:否) ")
	@TableField(value = "top_flag_")
    private Byte topFlag;
    /** 
    * 创建时间 
    */
    @ApiModelProperty("创建时间 ")
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
    /** 
    * 创建人 
    */
    @ApiModelProperty("创建人 ")
	@TableField(value = "create_by_")
    private Long createBy;
    /** 
    * 更新时间 
    */
    @ApiModelProperty("更新时间 ")
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;
    /** 
    * 更新人 
    */
    @ApiModelProperty("更新人 ")
	@TableField(value = "update_by_")
    private Long updateBy;

    @Override
    public String toString() {
        return "MusicAlbum{" +
				"id=" + id +
						",albumName='" + albumName + "'" + 
						",albumDesc='" + albumDesc + "'" + 
						",albumTag='" + albumTag + "'" + 
						",albumCoverUrl='" + albumCoverUrl + "'" + 
						",albumStatus='" + albumStatus + "'" + 
						",sortNumber='" + sortNumber + "'" + 
						",hotFlag='" + hotFlag + "'" + 
						",topFlag='" + topFlag + "'" + 
						",createTime='" + createTime + "'" + 
						",createBy='" + createBy + "'" + 
						",updateTime='" + updateTime + "'" + 
						",updateBy='" + updateBy + "'" + 
		                '}';
    }
	
}