package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 乐谱收藏表
 */
@Data
@TableName("music_favorite")
@ApiModel(value = "MusicFavorite对象", description = "乐谱收藏表")
public class MusicFavorite implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 主键 
    */
    @ApiModelProperty("主键 ")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /** 
    * 用户ID(目前只是学生ID) 
    */
    @ApiModelProperty("用户ID(目前只是学生ID) ")
	@TableField(value = "user_id_")
    private Long userId;
    /** 
    * 曲谱ID 
    */
    @ApiModelProperty("曲谱ID ")
	@TableField(value = "music_sheet_id_")
    private Long musicSheetId;
    /** 
    * 收藏时间 
    */
    @ApiModelProperty("收藏时间 ")
	@TableField(value = "favorite_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date favoriteTime;
    /** 
    * 是否收藏(1:收藏;0:取消收藏) 
    */
    @ApiModelProperty("是否收藏(1:收藏;0:取消收藏) ")
	@TableField(value = "favorite_flag_")
    private Byte favoriteFlag;

    @Override
    public String toString() {
        return "MusicFavorite{" +
				"id=" + id +
						",userId='" + userId + "'" + 
						",musicSheetId='" + musicSheetId + "'" + 
						",favoriteTime='" + favoriteTime + "'" + 
						",favoriteFlag='" + favoriteFlag + "'" + 
		                '}';
    }
	
}