package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 曲谱伴奏表
 */
@Data
@TableName("music_sheet_accompaniment")
@ApiModel(value = "MusicSheetAccompaniment对象", description = "曲谱伴奏表")
public class MusicSheetAccompaniment implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 主键 
    */
    @ApiModelProperty("主键 ")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /** 
    * 曲谱ID 
    */
    @ApiModelProperty("曲谱ID ")
	@TableField(value = "music_sheet_id_")
    private Long musicSheetId;
    /** 
    * 声部 
    */
    @ApiModelProperty("声部 ")
	@TableField(value = "music_subject_")
    private String musicSubject;
    /** 
    * MP3原声音频文件URL 
    */
    @ApiModelProperty("MP3原声音频文件URL ")
	@TableField(value = "audio_file_url_")
    private String audioFileUrl;
    /** 
    * 排序号 
    */
    @ApiModelProperty("排序号 ")
	@TableField(value = "sort_number_")
    private Byte sortNumber;
    /** 
    * 创建时间 
    */
    @ApiModelProperty("创建时间 ")
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
    /** 
    * 创建人(老师或者是后台平台用户) 
    */
    @ApiModelProperty("创建人(老师或者是后台平台用户) ")
	@TableField(value = "create_by_")
    private Long createBy;

    @Override
    public String toString() {
        return "MusicSheetAccompaniment{" +
				"id=" + id +
						",musicSheetId='" + musicSheetId + "'" + 
						",musicSubject='" + musicSubject + "'" + 
						",audioFileUrl='" + audioFileUrl + "'" + 
						",sortNumber='" + sortNumber + "'" + 
						",createTime='" + createTime + "'" + 
						",createBy='" + createBy + "'" + 
		                '}';
    }
	
}