package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import java.math.BigDecimal;

/**
 * 曲谱购买记录表
 */
@Data
@TableName("music_sheet_purchase_record")
@ApiModel(value = "MusicSheetPurchaseRecord对象", description = "曲谱购买记录表")
public class MusicSheetPurchaseRecord implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 主键 
    */
    @ApiModelProperty("主键 ")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /** 
    * 曲谱ID 
    */
    @ApiModelProperty("曲谱ID ")
	@TableField(value = "music_sheet_id_")
    private Long musicSheetId;
    /** 
    * 老师ID 
    */
    @ApiModelProperty("老师ID ")
	@TableField(value = "teacher_id_")
    private Long teacherId;
    /** 
    * 订单流水号 
    */
    @ApiModelProperty("订单流水号 ")
	@TableField(value = "order_no_")
    private String orderNo;
    /** 
    * 学生ID 
    */
    @ApiModelProperty("学生ID ")
	@TableField(value = "student_id_")
    private Long studentId;
    /** 
    * 购买时间 
    */
    @ApiModelProperty("购买时间 ")
	@TableField(value = "purchase_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date purchaseTime;
    /** 
    * 购买价格 
    */
    @ApiModelProperty("购买价格 ")
	@TableField(value = "purchase_price_")
    private BigDecimal purchasePrice;
    /** 
    * 订单状态(1:已完成;0:取消) 
    */
    @ApiModelProperty("订单状态(1:已完成;0:取消) ")
	@TableField(value = "order_status_")
    private Byte orderStatus;

    @Override
    public String toString() {
        return "MusicSheetPurchaseRecord{" +
				"id=" + id +
						",musicSheetId='" + musicSheetId + "'" + 
						",teacherId='" + teacherId + "'" + 
						",orderNo='" + orderNo + "'" + 
						",studentId='" + studentId + "'" + 
						",purchaseTime='" + purchaseTime + "'" + 
						",purchasePrice='" + purchasePrice + "'" + 
						",orderStatus='" + orderStatus + "'" + 
		                '}';
    }
	
}