package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 平台订单表
 */
@Data
@TableName("order_detail")
@ApiModel(value = "OrderDetail对象", description = "平台订单表")
public class OrderDetail implements Serializable {
	private static final long serialVersionUID = 1L;
    @TableId(value = "id_", type = IdType.UUID)
    private Long id;
    /** 
    * 订单号 
    */
    @ApiModelProperty("订单号 ")
	@TableField(value = "order_no_")
    private String orderNo;
    /** 
    * 业务id 
    */
    @ApiModelProperty("业务id ")
	@TableField(value = "biz_id_")
    private Long bizId;
    /** 
    * 业务内容 
    */
    @ApiModelProperty("业务内容 ")
	@TableField(value = "biz_content_")
    private String bizContent;
    /** 
    * 下单时间 
    */
    @ApiModelProperty("下单时间 ")
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    @Override
    public String toString() {
        return "OrderDetail{" +
				"id=" + id +
						",orderNo='" + orderNo + "'" + 
						",bizId='" + bizId + "'" + 
						",bizContent='" + bizContent + "'" + 
						",createTime='" + createTime + "'" + 
						",updateTime='" + updateTime + "'" + 
		                '}';
    }
	
}