package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import java.math.BigDecimal;

/**
 * 用户退款表
 */
@Data
@TableName("order_refunds")
@ApiModel(value = "OrderRefunds对象", description = "用户退款表")
public class OrderRefunds implements Serializable {
	private static final long serialVersionUID = 1L;
    @TableId(value = "id_", type = IdType.UUID)
    private Long id;
	@TableField(value = "user_id_")
    private Long userId;
    /** 
    * 订单号 
    */
    @ApiModelProperty("订单号 ")
	@TableField(value = "order_no_")
    private String orderNo;
    /** 
    * 状态(1,审核中;2,通过;-1,拒绝;) 
    */
    @ApiModelProperty("状态(1,审核中;2,通过;-1,拒绝;) ")
	@TableField(value = "status_")
    private String status;
    /** 
    * 申请退费金额 
    */
    @ApiModelProperty("申请退费金额 ")
	@TableField(value = "apply_amount_")
    private BigDecimal applyAmount;
    /** 
    * 实际退费金额 
    */
    @ApiModelProperty("实际退费金额 ")
	@TableField(value = "actual_amount_")
    private BigDecimal actualAmount;
    /** 
    * 退款描述 
    */
    @ApiModelProperty("退款描述 ")
	@TableField(value = "reason_")
    private String reason;
    /** 
    * 操作人 
    */
    @ApiModelProperty("操作人 ")
	@TableField(value = "operate_user_id_")
    private Long operateUserId;
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;
	@TableField(value = "remark_")
    private String remark;

    @Override
    public String toString() {
        return "OrderRefunds{" +
				"id=" + id +
						",userId='" + userId + "'" + 
						",orderNo='" + orderNo + "'" + 
						",status='" + status + "'" + 
						",applyAmount='" + applyAmount + "'" + 
						",actualAmount='" + actualAmount + "'" + 
						",reason='" + reason + "'" + 
						",operateUserId='" + operateUserId + "'" + 
						",createTime='" + createTime + "'" + 
						",updateTime='" + updateTime + "'" + 
						",remark='" + remark + "'" + 
		                '}';
    }
	
}