package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.yonge.cooleshow.auth.api.entity.SysUser;

import org.springframework.format.annotation.DateTimeFormat;

/**
 * 教师表
 */
@Data
@TableName("teacher")
@ApiModel(value = "Teacher对象", description = "教师表")
public class Teacher extends SysUser implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 对应user表用户编号 
    */
    @ApiModelProperty("对应user表用户编号 ")
    @TableId(value = "user_id_", type = IdType.UUID)
    private Long userId;
    /** 
    * 学历 
    */
    @ApiModelProperty("学历 ")
	@TableField(value = "education_background_")
    private String educationBackground;
    /** 
    * 毕业学校 
    */
    @ApiModelProperty("毕业学校 ")
	@TableField(value = "graduate_school_")
    private String graduateSchool;
    /** 
    * 技术职称 
    */
    @ApiModelProperty("技术职称 ")
	@TableField(value = "technical_titles_")
    private String technicalTitles;
    /** 
    * 工作单位 
    */
    @ApiModelProperty("工作单位 ")
	@TableField(value = "work_unit_")
    private String workUnit;
    /** 
    * 专业技能（支持多个，用逗号分隔），对应科目表编号 
    */
    @ApiModelProperty("专业技能（支持多个，用逗号分隔），对应科目表编号 ")
	@TableField(value = "subject_id_")
    private String subjectId;
    /** 
    * 老师入驻状态  1、审核中 2、通过 3、不通过 
    */
    @ApiModelProperty("老师入驻状态  1、审核中 2、通过 3、不通过 ")
	@TableField(value = "entry_status_")
    private Integer entryStatus;
    /** 
    * 入驻时间 
    */
    @ApiModelProperty("入驻时间 ")
	@TableField(value = "entry_auth_date_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date entryAuthDate;
    /** 
    * 个人介绍 
    */
    @ApiModelProperty("个人介绍 ")
	@TableField(value = "introduction_")
    private String introduction;
    /** 
    * 音乐人审核状态   1、审核中 2、通过 3、不通过 
    */
    @ApiModelProperty("音乐人审核状态   1、审核中 2、通过 3、不通过 ")
	@TableField(value = "musician_auth_status_")
    private String musicianAuthStatus;
    /** 
    * 音乐人认证时间 
    */
    @ApiModelProperty("音乐人认证时间 ")
	@TableField(value = "musician_date_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date musicianDate;
    /** 
    * 学校专业 
    */
    @ApiModelProperty("学校专业 ")
	@TableField(value = "subject_")
    private String subject;
    /** 
    * 毕业证书 
    */
    @ApiModelProperty("毕业证书 ")
	@TableField(value = "grad_certificate_")
    private String gradCertificate;
    /** 
    * 学位证书 
    */
    @ApiModelProperty("学位证书 ")
	@TableField(value = "degree__certificate_")
    private String degreeCertificate;
    /** 
    * 教师资格证 
    */
    @ApiModelProperty("教师资格证 ")
	@TableField(value = "teacher__certificate_")
    private String teacherCertificate;
    /** 
    * 备注 
    */
    @ApiModelProperty("备注 ")
	@TableField(value = "memo_")
    private String memo;
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    @Override
    public String toString() {
        return "Teacher{" +
				"userId=" + userId +
						",educationBackground='" + educationBackground + "'" + 
						",graduateSchool='" + graduateSchool + "'" + 
						",technicalTitles='" + technicalTitles + "'" + 
						",workUnit='" + workUnit + "'" + 
						",subjectId='" + subjectId + "'" + 
						",entryStatus='" + entryStatus + "'" + 
						",entryAuthDate='" + entryAuthDate + "'" + 
						",introduction='" + introduction + "'" + 
						",musicianAuthStatus='" + musicianAuthStatus + "'" + 
						",musicianDate='" + musicianDate + "'" + 
						",subject='" + subject + "'" + 
						",gradCertificate='" + gradCertificate + "'" + 
						",degreeCertificate='" + degreeCertificate + "'" + 
						",teacherCertificate='" + teacherCertificate + "'" + 
						",memo='" + memo + "'" + 
						",createTime='" + createTime + "'" + 
						",updateTime='" + updateTime + "'" + 
		                '}';
    }
	
}