package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.databind.annotation.JsonSerialize;
import com.fasterxml.jackson.databind.ser.std.ToStringSerializer;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 老师入驻审核表
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@TableName("teacher_auth_entry_record")
@ApiModel(value = "TeacherAuthEntryRecord对象", description = "老师入驻审核表")
public class TeacherAuthEntryRecord implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 审核单id 
    */
    @ApiModelProperty("审核单id ")
    @TableId(value = "id_", type = IdType.AUTO)
    @JsonSerialize(using = ToStringSerializer.class)
    private Long id;
    /** 
    * 对应user表用户编号 
    */
    @ApiModelProperty("对应user表用户编号 ")
	@TableField(value = "user_id_")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long userId;
    /** 
    * 专业技能（支持多个，用逗号分隔），对应乐器表id 
    */
    @ApiModelProperty("专业技能（支持多个，用逗号分隔），对应乐器表id ")
	@TableField(value = "subject_id_")
    private String subjectId;
    /** 
    * 个人介绍 
    */
    @ApiModelProperty("个人介绍 ")
	@TableField(value = "introduction_")
    private String introduction;
    /** 
    * 毕业学校 
    */
    @ApiModelProperty("毕业学校 ")
	@TableField(value = "graduate_school_")
    private String graduateSchool;
    /** 
    * 学校专业 
    */
    @ApiModelProperty("学校专业 ")
	@TableField(value = "subject_")
    private String subject;
    /** 
    * 毕业证书 
    */
    @ApiModelProperty("毕业证书 ")
	@TableField(value = "grad_certificate_")
    private String gradCertificate;
    /** 
    * 学位证书 
    */
    @ApiModelProperty("学位证书 ")
	@TableField(value = "degree__certificate_")
    private String degreeCertificate;
    /** 
    * 教师资格证 
    */
    @ApiModelProperty("教师资格证 ")
	@TableField(value = "teacher__certificate_")
    private String teacherCertificate;
    /** 
    * 老师认证审核状态  1、审核中 2、通过 3、不通过 
    */
    @ApiModelProperty("老师认证审核状态  1、审核中 2、通过 3、不通过 ")
	@TableField(value = "teacher_auth_status_")
    private Integer teacherAuthStatus;
    /** 
    * 审核人 
    */
    @ApiModelProperty("审核人 ")
	@TableField(value = "verify_user_id_")
    @JsonSerialize(using = ToStringSerializer.class)
    private Long verifyUserId;
    /** 
    * 审核理由 
    */
    @ApiModelProperty("审核理由 ")
	@TableField(value = "reason_")
    private String reason;
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    @Override
    public String toString() {
        return "TeacherAuthEntryRecord{" +
				"id=" + id +
						",userId='" + userId + "'" + 
						",subjectId='" + subjectId + "'" + 
						",introduction='" + introduction + "'" + 
						",graduateSchool='" + graduateSchool + "'" + 
						",subject='" + subject + "'" + 
						",gradCertificate='" + gradCertificate + "'" + 
						",degreeCertificate='" + degreeCertificate + "'" + 
						",teacherCertificate='" + teacherCertificate + "'" + 
						",teacherAuthStatus='" + teacherAuthStatus + "'" + 
						",verifyUserId='" + verifyUserId + "'" + 
						",reason='" + reason + "'" + 
						",createTime='" + createTime + "'" + 
						",updateTime='" + updateTime + "'" + 
		                '}';
    }
	
}