package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 老师音乐人审核表
 */
@Data
@TableName("teacher_auth_musician_record")
@ApiModel(value = "TeacherAuthMusicianRecord对象", description = "老师音乐人审核表")
public class TeacherAuthMusicianRecord implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 审核单id 
    */
    @ApiModelProperty("审核单id ")
    @TableId(value = "id_", type = IdType.UUID)
    private Long id;
    /** 
    * 对应user表用户编号 
    */
    @ApiModelProperty("对应user表用户编号 ")
	@TableField(value = "user_id_")
    private Long userId;
    /** 
    * 老师认证审核状态  1、审核中 2、通过 3、不通过 
    */
    @ApiModelProperty("老师认证审核状态  1、审核中 2、通过 3、不通过 ")
	@TableField(value = "teacher_auth_status_")
    private Integer teacherAuthStatus;
    /** 
    * 审核人 
    */
    @ApiModelProperty("审核人 ")
	@TableField(value = "verify_user_id_")
    private Long verifyUserId;
    /** 
    * 审核理由 
    */
    @ApiModelProperty("审核理由 ")
	@TableField(value = "reason_")
    private String reason;
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    @Override
    public String toString() {
        return "TeacherAuthMusicianRecord{" +
				"id=" + id +
						",userId='" + userId + "'" + 
						",teacherAuthStatus='" + teacherAuthStatus + "'" + 
						",verifyUserId='" + verifyUserId + "'" + 
						",reason='" + reason + "'" + 
						",createTime='" + createTime + "'" + 
						",updateTime='" + updateTime + "'" + 
		                '}';
    }
	
}