package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import java.math.BigDecimal;

/**
 * 老师账户提现表
 */
@Data
@TableName("teacher_withdrawal")
@ApiModel(value = "TeacherWithdrawal对象", description = "老师账户提现表")
public class TeacherWithdrawal implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 提现id 
    */
    @ApiModelProperty("提现id ")
    @TableId(value = "id_", type = IdType.UUID)
    private Long id;
    /** 
    * 用户表id 
    */
    @ApiModelProperty("用户表id ")
	@TableField(value = "user_id_")
    private Long userId;
    /** 
    * 账户变动记录id 
    */
    @ApiModelProperty("账户变动记录id ")
	@TableField(value = "user_account_record_id_")
    private Long userAccountRecordId;
    /** 
    * 提现金额 
    */
    @ApiModelProperty("提现金额 ")
	@TableField(value = "amount_")
    private BigDecimal amount;
    /** 
    * 平台服务费 
    */
    @ApiModelProperty("平台服务费 ")
	@TableField(value = "plantform_fee_")
    private BigDecimal plantformFee;
    /** 
    * 实际到账金额 
    */
    @ApiModelProperty("实际到账金额 ")
	@TableField(value = "actual_amount_")
    private String actualAmount;
    /** 
    * 银行卡 
    */
    @ApiModelProperty("银行卡 ")
	@TableField(value = "bank_card_")
    private String bankCard;
    /** 
    * 开户行 
    */
    @ApiModelProperty("开户行 ")
	@TableField(value = "bank_name_")
    private String bankName;
    /** 
    * 银行流水号 
    */
    @ApiModelProperty("银行流水号 ")
	@TableField(value = "bank_flow_no_")
    private String bankFlowNo;
    /** 
    * 转账时间 
    */
    @ApiModelProperty("转账时间 ")
	@TableField(value = "transfer_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date transferTime;
    /** 
    * 发起时间 
    */
    @ApiModelProperty("发起时间 ")
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
    /** 
    * 修改时间 
    */
    @ApiModelProperty("修改时间 ")
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;
    /** 
    * 提现状态 
    */
    @ApiModelProperty("提现状态 ")
	@TableField(value = "status_")
    private Byte status;

    @Override
    public String toString() {
        return "TeacherWithdrawal{" +
				"id=" + id +
						",userId='" + userId + "'" + 
						",userAccountRecordId='" + userAccountRecordId + "'" + 
						",amount='" + amount + "'" + 
						",plantformFee='" + plantformFee + "'" + 
						",actualAmount='" + actualAmount + "'" + 
						",bankCard='" + bankCard + "'" + 
						",bankName='" + bankName + "'" + 
						",bankFlowNo='" + bankFlowNo + "'" + 
						",transferTime='" + transferTime + "'" + 
						",createTime='" + createTime + "'" + 
						",updateTime='" + updateTime + "'" + 
						",status='" + status + "'" + 
		                '}';
    }
	
}