package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import java.math.BigDecimal;

/**
 * 老师账户表
 */
@Data
@TableName("user_account")
@ApiModel(value = "UserAccount对象", description = "老师账户表")
public class UserAccount implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 用户表id 
    */
    @ApiModelProperty("用户表id ")
    @TableId(value = "user_id_", type = IdType.UUID)
    private Long userId;
    /** 
    * 总金额 
    */
    @ApiModelProperty("总金额 ")
	@TableField(value = "amount_total")
    private BigDecimal amountTotal;
    /** 
    * 可用余额 
    */
    @ApiModelProperty("可用余额 ")
	@TableField(value = "amount_usable")
    private BigDecimal amountUsable;
    /** 
    * 冻结金额 
    */
    @ApiModelProperty("冻结金额 ")
	@TableField(value = "amount_frozen")
    private BigDecimal amountFrozen;
    /** 
    * 状态 0-停用 1-使用 
    */
    @ApiModelProperty("状态 0-停用 1-使用 ")
	@TableField(value = "status_")
    private Byte status;
    /** 
    * 创建时间 
    */
    @ApiModelProperty("创建时间 ")
	@TableField(value = "create_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
    /** 
    * 修改时间 
    */
    @ApiModelProperty("修改时间 ")
	@TableField(value = "update_time")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    @Override
    public String toString() {
        return "UserAccount{" +
				"userId=" + userId +
						",amountTotal='" + amountTotal + "'" + 
						",amountUsable='" + amountUsable + "'" + 
						",amountFrozen='" + amountFrozen + "'" + 
						",status='" + status + "'" + 
						",createTime='" + createTime + "'" + 
						",updateTime='" + updateTime + "'" + 
		                '}';
    }
	
}