package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import java.math.BigDecimal;

/**
 * 老师账户流水表
 */
@Data
@TableName("user_account_record")
@ApiModel(value = "UserAccountRecord对象", description = "老师账户流水表")
public class UserAccountRecord implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 用户表id 
    */
    @ApiModelProperty("用户表id ")
    @TableId(value = "id_", type = IdType.UUID)
    private Long id;
    /** 
    * 交易金额 
    */
    @ApiModelProperty("交易金额 ")
	@TableField(value = "trans_amount_")
    private BigDecimal transAmount;
    /** 
    * 账户余额 
    */
    @ApiModelProperty("账户余额 ")
	@TableField(value = "account_balance_")
    private BigDecimal accountBalance;
    /** 
    * 收支类型：1、收入 2、支出 
    */
    @ApiModelProperty("收支类型：1、收入 2、支出 ")
	@TableField(value = "in_or_out_")
    private Integer inOrOut;
    /** 
    * 业务类型：1、陪练课 2、直播课 3、乐谱 4、提现 
    */
    @ApiModelProperty("业务类型：1、陪练课 2、直播课 3、乐谱 4、提现 ")
	@TableField(value = "biz_type_")
    private Integer bizType;
    /** 
    * 业务id 
    */
    @ApiModelProperty("业务id ")
	@TableField(value = "biz_id_")
    private Long bizId;
    /** 
    * 业务名称 
    */
    @ApiModelProperty("业务名称 ")
	@TableField(value = "biz_name_")
    private String bizName;
    /** 
    * 订单id 
    */
    @ApiModelProperty("订单id ")
	@TableField(value = "order_id_")
    private Long orderId;
    /** 
    * 创建时间 
    */
    @ApiModelProperty("创建时间 ")
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;

    @Override
    public String toString() {
        return "UserAccountRecord{" +
				"id=" + id +
						",transAmount='" + transAmount + "'" + 
						",accountBalance='" + accountBalance + "'" + 
						",inOrOut='" + inOrOut + "'" + 
						",bizType='" + bizType + "'" + 
						",bizId='" + bizId + "'" + 
						",bizName='" + bizName + "'" + 
						",orderId='" + orderId + "'" + 
						",createTime='" + createTime + "'" + 
		                '}';
    }
	
}