package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 视频课基本信息表
 */
@Data
@TableName("video_lesson_group")
@ApiModel(value = "VideoLessonGroup对象", description = "视频课基本信息表")
public class VideoLessonGroup implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 主键 
    */
    @ApiModelProperty("主键 ")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /** 
    * 课程名称 
    */
    @ApiModelProperty("课程名称 ")
	@TableField(value = "lesson_name_")
    private String lessonName;
    /** 
    * 课程声部 
    */
    @ApiModelProperty("课程声部 ")
	@TableField(value = "lesson_subject_")
    private String lessonSubject;
    /** 
    * 课程介绍 
    */
    @ApiModelProperty("课程介绍 ")
	@TableField(value = "lesson_desc_")
    private String lessonDesc;
    /** 
    * 课程价格 
    */
    @ApiModelProperty("课程价格 ")
	@TableField(value = "lesson_price_")
    private Integer lessonPrice;
    /** 
    * 课程封面图片URL 
    */
    @ApiModelProperty("课程封面图片URL ")
	@TableField(value = "lesson_cover_url_")
    private String lessonCoverUrl;
    /** 
    * 老师ID 
    */
    @ApiModelProperty("老师ID ")
	@TableField(value = "teacher_id_")
    private Long teacherId;
    /** 
    * 课程节数 
    */
    @ApiModelProperty("课程节数 ")
	@TableField(value = "lesson_count_")
    private Integer lessonCount;
    /** 
    * 排序号 
    */
    @ApiModelProperty("排序号 ")
	@TableField(value = "sort_number_")
    private Integer sortNumber;
    /** 
    * 课程标签 
    */
    @ApiModelProperty("课程标签 ")
	@TableField(value = "lesson_tag_")
    private String lessonTag;
    /** 
    * 是否置顶 
    */
    @ApiModelProperty("是否置顶 ")
	@TableField(value = "top_flag_")
    private Byte topFlag;
    /** 
    * 是否热门课程 
    */
    @ApiModelProperty("是否热门课程 ")
	@TableField(value = "hot_flag_")
    private Byte hotFlag;
    /** 
    * 审核状态 
    */
    @ApiModelProperty("审核状态 ")
	@TableField(value = "audit_status_")
    private Byte auditStatus;
    /** 
    * 创建时间 
    */
    @ApiModelProperty("创建时间 ")
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
    /** 
    * 更新时间 
    */
    @ApiModelProperty("更新时间 ")
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    @Override
    public String toString() {
        return "VideoLessonGroup{" +
				"id=" + id +
						",lessonName='" + lessonName + "'" + 
						",lessonSubject='" + lessonSubject + "'" + 
						",lessonDesc='" + lessonDesc + "'" + 
						",lessonPrice='" + lessonPrice + "'" + 
						",lessonCoverUrl='" + lessonCoverUrl + "'" + 
						",teacherId='" + teacherId + "'" + 
						",lessonCount='" + lessonCount + "'" + 
						",sortNumber='" + sortNumber + "'" + 
						",lessonTag='" + lessonTag + "'" + 
						",topFlag='" + topFlag + "'" + 
						",hotFlag='" + hotFlag + "'" + 
						",auditStatus='" + auditStatus + "'" + 
						",createTime='" + createTime + "'" + 
						",updateTime='" + updateTime + "'" + 
		                '}';
    }
	
}