package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 视频课明细表
 */
@Data
@TableName("video_lesson_group_detail")
@ApiModel(value = "VideoLessonGroupDetail对象", description = "视频课明细表")
public class VideoLessonGroupDetail implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 主键 
    */
    @ApiModelProperty("主键 ")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /** 
    * 课程组ID 
    */
    @ApiModelProperty("课程组ID ")
	@TableField(value = "video_lesson_group_id_")
    private Long videoLessonGroupId;
    /** 
    * 视频标题 
    */
    @ApiModelProperty("视频标题 ")
	@TableField(value = "video_title_")
    private String videoTitle;
    /** 
    * 视频内容 
    */
    @ApiModelProperty("视频内容 ")
	@TableField(value = "video_content_")
    private String videoContent;
    /** 
    * 视频文件URL 
    */
    @ApiModelProperty("视频文件URL ")
	@TableField(value = "video_url_")
    private String videoUrl;
    /** 
    * 视频封面图片URL 
    */
    @ApiModelProperty("视频封面图片URL ")
	@TableField(value = "cover_url_")
    private String coverUrl;
    /** 
    * 是否收费(1:收费;0:免费) 
    */
    @ApiModelProperty("是否收费(1:收费;0:免费) ")
	@TableField(value = "charge_flag_")
    private Byte chargeFlag;
    /** 
    * 排序号 
    */
    @ApiModelProperty("排序号 ")
	@TableField(value = "sort_number_")
    private Integer sortNumber;
    /** 
    * 创建人(老师ID) 
    */
    @ApiModelProperty("创建人(老师ID) ")
	@TableField(value = "teacher_id_")
    private Long teacherId;
    /** 
    * 创建时间 
    */
    @ApiModelProperty("创建时间 ")
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
    /** 
    * 更新人 
    */
    @ApiModelProperty("更新人 ")
	@TableField(value = "update_by_")
    private Long updateBy;
    /** 
    * 更新时间 
    */
    @ApiModelProperty("更新时间 ")
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    @Override
    public String toString() {
        return "VideoLessonGroupDetail{" +
				"id=" + id +
						",videoLessonGroupId='" + videoLessonGroupId + "'" + 
						",videoTitle='" + videoTitle + "'" + 
						",videoContent='" + videoContent + "'" + 
						",videoUrl='" + videoUrl + "'" + 
						",coverUrl='" + coverUrl + "'" + 
						",chargeFlag='" + chargeFlag + "'" + 
						",sortNumber='" + sortNumber + "'" + 
						",teacherId='" + teacherId + "'" + 
						",createTime='" + createTime + "'" + 
						",updateBy='" + updateBy + "'" + 
						",updateTime='" + updateTime + "'" + 
		                '}';
    }
	
}