package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;
import java.math.BigDecimal;

/**
 * 视频课购买记录表
 */
@Data
@TableName("video_lesson_purchase_record")
@ApiModel(value = "VideoLessonPurchaseRecord对象", description = "视频课购买记录表")
public class VideoLessonPurchaseRecord implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 主键 
    */
    @ApiModelProperty("主键 ")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /** 
    * 视频课组ID 
    */
    @ApiModelProperty("视频课组ID ")
	@TableField(value = "video_lesson_group_id_")
    private Long videoLessonGroupId;
    /** 
    * 学生ID 
    */
    @ApiModelProperty("学生ID ")
	@TableField(value = "student_id_")
    private Long studentId;
    /** 
    * 购买时间 
    */
    @ApiModelProperty("购买时间 ")
	@TableField(value = "purchase_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date purchaseTime;
    /** 
    * 支付金额 
    */
    @ApiModelProperty("支付金额 ")
	@TableField(value = "pay_money_")
    private BigDecimal payMoney;
    /** 
    * 订单流水号 
    */
    @ApiModelProperty("订单流水号 ")
	@TableField(value = "order_no_")
    private String orderNo;
    /** 
    * 订单状态(1:已完成;0:取消) 
    */
    @ApiModelProperty("订单状态(1:已完成;0:取消) ")
	@TableField(value = "order_status_")
    private Byte orderStatus;

    @Override
    public String toString() {
        return "VideoLessonPurchaseRecord{" +
				"id=" + id +
						",videoLessonGroupId='" + videoLessonGroupId + "'" + 
						",studentId='" + studentId + "'" + 
						",purchaseTime='" + purchaseTime + "'" + 
						",payMoney='" + payMoney + "'" + 
						",orderNo='" + orderNo + "'" + 
						",orderStatus='" + orderStatus + "'" + 
		                '}';
    }
	
}