package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 视频课学习记录表
 */
@Data
@TableName("video_lesson_study_record")
@ApiModel(value = "VideoLessonStudyRecord对象", description = "视频课学习记录表")
public class VideoLessonStudyRecord implements Serializable {
	private static final long serialVersionUID = 1L;
    /** 
    * 主键 
    */
    @ApiModelProperty("主键 ")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /** 
    * 视频课组ID 
    */
    @ApiModelProperty("视频课组ID ")
	@TableField(value = "video_lesson_group_id_")
    private Long videoLessonGroupId;
    /** 
    * 视频ID 
    */
    @ApiModelProperty("视频ID ")
	@TableField(value = "video_id_")
    private Long videoId;
    /** 
    * 学生ID 
    */
    @ApiModelProperty("学生ID ")
	@TableField(value = "student_id_")
    private Long studentId;
    /** 
    * 是否学完(1:是;0:否) 
    */
    @ApiModelProperty("是否学完(1:是;0:否) ")
	@TableField(value = "finish_flag_")
    private Byte finishFlag;
    /** 
    * 学习开始时间 
    */
    @ApiModelProperty("学习开始时间 ")
	@TableField(value = "start_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date startTime;
    /** 
    * 学习完成时间 
    */
    @ApiModelProperty("学习完成时间 ")
	@TableField(value = "finish_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date finishTime;

    @Override
    public String toString() {
        return "VideoLessonStudyRecord{" +
				"id=" + id +
						",videoLessonGroupId='" + videoLessonGroupId + "'" + 
						",videoId='" + videoId + "'" + 
						",studentId='" + studentId + "'" + 
						",finishFlag='" + finishFlag + "'" + 
						",startTime='" + startTime + "'" + 
						",finishTime='" + finishTime + "'" + 
		                '}';
    }
	
}