package com.yonge.cooleshow.biz.dal.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.yonge.cooleshow.auth.api.entity.SysUser;
import com.yonge.cooleshow.biz.dal.dto.AuthOperaDto;
import com.yonge.cooleshow.biz.dal.dto.TeacherApplyDetailDto;
import com.yonge.cooleshow.biz.dal.entity.TeacherAuthEntryRecord;
import com.yonge.cooleshow.biz.dal.vo.TeacherAuthEntryRecordVo;
import com.yonge.cooleshow.common.entity.HttpResponseResult;

/**
 * 老师入驻审核表 服务类
 * @author liweifan
 * @date 2022-03-18
 */
public interface TeacherAuthEntryRecordService extends IService<TeacherAuthEntryRecord>  {
    /**
     * 自定义分页
     * @author liweifan
 	 * @date 2022-03-18
     */
    IPage<TeacherAuthEntryRecordVo> selectPage(IPage<TeacherAuthEntryRecordVo> page, TeacherAuthEntryRecord teacherAuthEntryRecord);
    /***
     * 老师入驻申请
     * @author liweifan
     * @param: teacherApplyDetailDto
     * @param: sysUser
     * @updateTime 2022/3/18 15:38
     * @return: java.lang.Boolean
     */
    HttpResponseResult<Boolean> doApply(TeacherApplyDetailDto teacherApplyDetailDto, SysUser sysUser) throws Exception;
    /***
     * 根据老师id查询审批单详情
     * @author liweifan
     * @param: id
     * @updateTime 2022/3/21 13:42
     * @return: com.yonge.cooleshow.biz.dal.vo.TeacherAuthEntryRecordVo
     */
    TeacherAuthEntryRecordVo detail(Long id);
    /***
     * 审核
     * @author liweifan
     * @param: authOperaDto
     * @param: sysUser
     * @updateTime 2022/3/21 14:21
     * @return: com.yonge.cooleshow.common.entity.HttpResponseResult<java.lang.Boolean>
     */
    HttpResponseResult<Boolean> doAuth(AuthOperaDto authOperaDto, SysUser sysUser);
}