package com.yonge.cooleshow.biz.dal.support;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;

import java.util.List;
import java.util.stream.Collectors;

/**
 * 视图包装基类
 *
 * @author Chill
 */
public abstract class BaseEntityWrapper<E, V> {

	/**
	 * 单个实体类包装
	 * @param entity
	 * @return
	 */
	public abstract V entityVO(E entity);

	/**
	 * 实体类集合包装
	 * @param list
	 * @return
	 */
	public List<V> listVO(List<E> list) {
		return list.stream().map(this::entityVO).collect(Collectors.toList());
	}

	/**
	 * 分页实体类集合包装
	 * @param pages
	 * @return
	 */
	public IPage<V> pageVO(IPage<E> pages) {
		List<V> records = listVO(pages.getRecords());
		IPage<V> pageVo = new Page<>(pages.getCurrent(), pages.getSize(), pages.getTotal());
		pageVo.setRecords(records);
		return pageVo;
	}

}
