package com.yonge.cooleshow.biz.dal.vo;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * @Author: liweifan
 * @Data: 2022/3/18 14:56
 */
@Data
@ApiModel(value = "TeacherApplyDetail对象", description = "老师入驻申请信息")
public class TeacherApplyDetail implements Serializable {
    /**
     * 审核单id
     */
    @ApiModelProperty("审核单id ")
    @TableId(value = "id_", type = IdType.UUID)
    private Long id;
    /**
     * 对应user表用户编号
     */
    @ApiModelProperty("对应user表用户编号 ")
    @TableField(value = "user_id_")
    private Long userId;
    /**
     * 专业技能（支持多个，用逗号分隔），对应乐器表id
     */
    @ApiModelProperty("专业技能（支持多个，用逗号分隔），对应乐器表id ")
    @TableField(value = "subject_id_")
    private String subjectId;
    /**
     * 个人介绍
     */
    @ApiModelProperty("个人介绍 ")
    @TableField(value = "introduction_")
    private String introduction;
    /**
     * 毕业学校
     */
    @ApiModelProperty("毕业学校 ")
    @TableField(value = "graduate_school_")
    private String graduateSchool;
    /**
     * 学校专业
     */
    @ApiModelProperty("学校专业 ")
    @TableField(value = "subject_")
    private String subject;
    /**
     * 毕业证书
     */
    @ApiModelProperty("毕业证书 ")
    @TableField(value = "grad_certificate_")
    private String gradCertificate;
    /**
     * 学位证书
     */
    @ApiModelProperty("学位证书 ")
    @TableField(value = "degree__certificate_")
    private String degreeCertificate;
    /**
     * 教师资格证
     */
    @ApiModelProperty("教师资格证 ")
    @TableField(value = "teacher__certificate_")
    private String teacherCertificate;
}
